local assets=
{
	Asset("ANIM", "anim/addons.zip"),
  Asset("ATLAS", "images/inventoryimages/addons.xml")
}

local function OnBlocked(owner) 
    owner.SoundEmitter:PlaySound("dontstarve/wilson/hit_armour") 
end

local function onequip(inst, owner) 
    owner.AnimState:OverrideSymbol("swap_body", "addons", "swap_body")
    inst:ListenForEvent("blocked", OnBlocked, owner)
    owner.components.hunger.burnrate = TUNING.WILSON_HUNGER_RATE * 1.5
end

local function onunequip(inst, owner) 
    owner.AnimState:ClearOverrideSymbol("swap_body")
    inst:RemoveEventCallback("blocked", OnBlocked, owner)
    owner.components.hunger.burnrate = TUNING.WILSON_HUNGER_RATE * 1
end

	
local function fn(Sim)
	local inst = CreateEntity()
    
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
    inst.AnimState:SetBank("armor_wood")
    inst.AnimState:SetBuild("addons")
    inst.AnimState:PlayAnimation("anim")

    inst:AddComponent("inspectable")
	
    inst:AddTag("irreplaceable")
	
    inst:AddComponent("inventoryitem")
  	inst.components.inventoryitem.atlasname = "images/inventoryimages/addons.xml"
	
	inst:AddComponent("equippable")
    inst.components.equippable.equipslot = EQUIPSLOTS.BODY
	
    inst:AddComponent("armor")
    inst.components.armor:InitCondition(TUNING.ARMORWOOD * 1.5, TUNING.ARMORWOOD_ABSORPTION )
	
    inst:AddComponent("dapperness")
    inst.components.dapperness.dapperness = (TUNING.DAPPERNESS_MED * 1)

    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
    
    return inst
end

return Prefab( "common/inventory/addons", fn, assets ) 