local MakePlayerCharacter = require "prefabs/player_common"


local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),

		-- Don't forget to include your character's custom assets!
        Asset( "ANIM", "anim/batter.zip" ),
}
local prefabs = 
{

}	
local start_inv =
{
    "ofbat",
}
local fn = function(inst)

	--speech sound and map icon
	inst.soundsname = "batter"
	inst.MiniMapEntity:SetIcon( "batter.tex" )
	--Stats
	inst.components.health:SetMaxHealth(180)
	inst.components.hunger:SetMax(100)
	inst.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE * 1)
	inst.components.sanity:SetMax(80)
	inst.components.combat.damagemultiplier = 1.2
	inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1.157)
    inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 1.157)
	--Sanity FX
	inst.components.sanity.night_drain_mult = TUNING.WENDY_SANITY_MULT * 0.05
	inst.components.sanity.neg_aura_mult = 7
	--Freezing
	inst.components.temperature:SetTemp( 30 )
    local Temperature = Class(function(self, inst)
    self.inherentinsulation = 30
    end)
	--Attacking ranges
	local Combat = Class(function(self, inst)
	inst.components.combat.attackrange = 4
	inst.components.combat.hitrange = 3
	inst.components.combat.min_attack_period = 3
    end)
end	

-- The character select screen lines
-- note: these are lower-case character name
STRINGS.CHARACTER_TITLES.batter = "Purificatory saviour"
STRINGS.CHARACTER_NAMES.batter = "The Batter"
STRINGS.CHARACTER_DESCRIPTIONS.batter = "-Has an unbreakable purificatory baseball bat.\n-Large sanity loss from impures.\n-Is from Mortis Ghost's amazing game; OFF."
STRINGS.CHARACTER_QUOTES.batter = "\"I have a sacred mission to fulfil. I must purify the world.\""
STRINGS.CHARACTERS.BATTER= require "speech_batter"

return MakePlayerCharacter("batter", prefabs, assets, fn, start_inv)